<?php namespace App\ViewModels\EspecialidadeProcedimento\EspecialidadeProcedimentoDetailsViewModel;

use App\Utils\Entity;

class EspecialidadeProcedimentoDetailsViewModel extends Entity
{
    protected $id;
    protected $id_especialidade;
    protected $id_procedimento;
    protected $id_tipo_procedimento;
    protected $descricao_procedimento;
    protected $descricao_especialidade;

    public static function builder() : EspecialidadeProcedimentoDetailsViewModelBuilder
    {
        return (new EspecialidadeProcedimentoDetailsViewModelBuilder);
    }

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     */
    public function setId($id): void
    {
        $this->id = $id;
    }

    /**
     * @return mixed
     */
    public function getIdEspecialidade()
    {
        return $this->id_especialidade;
    }

    /**
     * @param mixed $id_especialidade
     */
    public function setIdEspecialidade($id_especialidade): void
    {
        $this->id_especialidade = $id_especialidade;
    }

    /**
     * @return mixed
     */
    public function getIdProcedimento()
    {
        return $this->id_procedimento;
    }

    /**
     * @param mixed $id_procedimento
     */
    public function setIdProcedimento($id_procedimento): void
    {
        $this->id_procedimento = $id_procedimento;
    }

    /**
     * @return mixed
     */
    public function getDescricaoProcedimento()
    {
        return $this->descricao_procedimento;
    }

    /**
     * @param mixed $descricao_procedimento
     */
    public function setDescricaoProcedimento($descricao_procedimento): void
    {
        $this->descricao_procedimento = $descricao_procedimento;
    }

    /**
     * @return mixed
     */
    public function getDescricaoEspecialidade()
    {
        return $this->descricao_especialidade;
    }

    /**
     * @param mixed $descricao_especialidade
     */
    public function setDescricaoEspecialidade($descricao_especialidade): void
    {
        $this->descricao_especialidade = $descricao_especialidade;
    }

    /**
     * @return mixed
     */
    public function getIdTipoProcedimento()
    {
        return $this->id_tipo_procedimento;
    }

    /**
     * @param mixed $id_tipo_procedimento
     */
    public function setIdTipoProcedimento($id_tipo_procedimento): void
    {
        $this->id_tipo_procedimento = $id_tipo_procedimento;
    }



}